/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    fallbackCopy = require('../../../../lib/object/fallback_copy.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Fallback copy.'] = function (test) {
    var data = fallbackCopy({
        foo: 'bar'
    }, {
        baz: 'quz'
    });
    test.deepEqual(data, {
        foo: 'bar',
        baz: 'quz'
    });
    test.done();
};